Updates a row in a Big Table
onSchemaError query parameter.Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
ETag of the current table version. If provided, the request will fail if this row has been updated since the given version. See Data Versioning.
^"[0-9]+"$ID of the table, e.g., 2a1bad8b-cf7c-44437-b8c1-e3782df6
"2a1bad8b-cf7c-44437-b8c1-e3782df6"
ID of the row, e.g., zcJWnyI8Tbam21V34K8MNA
"zcJWnyI8Tbam21V34K8MNA"
The action to take when the passed data does not match the table schema:
abort: Abort the entire operation and return an error.dropColumns: Ignore the data that caused the error, and do not import those columns in the affected rows.updateSchema: Update the schema as needed to add any missing columns or widen the data types of existing columns, and then import the data from them.abort, dropColumns, updateSchema "updateSchema"
A row object conforming to the schema of the table, where keys are the column IDs and values are the column values:
{
"fullName": "Alex Bard",
"invoiceDate": "2024-07-29T14:04:15.561Z",
"totalAmount": 34.50,
"amountPaid": 0
}A 200 HTTP response code indicates that the row was successfully updated.